<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

show_title('site.png', 'Статусы пользователей');
$config['newtitle'] = 'Статусы пользователей';

echo 'В зависимости от вашей активности на сайте вы получаете определенный статус<br />';
echo 'При наборе определенного количества актива ваш статус меняется на вышестоящий<br />';
echo 'Актив - это сумма постов на форуме, гостевой, в комментариях и пр.<br /><br />';

$querystatus = DB :: $dbh -> query("SELECT * FROM `status` ORDER BY `status_topoint` ASC;");
$status = $querystatus -> fetchAll();
$total = count($status);

if ($total > 0) {
    foreach ($status as $statval) {
        echo '<img src="../images/img/user.gif" alt="image" /> ';

        if (empty($statval['status_color'])) {
            echo '<b>' . $statval['status_name'] . '</b> — ' . points($statval['status_topoint']) . '<br />';
        } else {
            echo '<b><span style="color:' . $statval['status_color'] . '">' . $statval['status_name'] . '</span></b> — ' . points($statval['status_topoint']) . '<br />';
        } 
    } 
    echo '<br />';
} else {
    show_error('Статусы еще не назначены!');
} 

echo 'Некоторые статусы могут быть выделены определенными цветами<br />';
echo 'Самым активным юзерам администрация сайта может назначать особые статусы<br /><br />';

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php">На главную</a>';
include_once "../themes/" . $config['themes'] . "/foot.php";

?>